<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet exclude-result-prefixes="ddb" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:ddb="http://rep.oio.dk/sundcom.dk/medcom.dk/xml/schemas/2007/07/01/" xmlns="http://rep.oio.dk/sundcom.dk/medcom.dk/xml/schemas/2007/07/01/TDL" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.0">

  <xsl:param name="namespaceStart" select="'http://www.medcom.dk/ddb/dataowner/'"/>

  <xsl:template match="/ddb:DenDynamiskeBlanket">
    <TheDynamicLetter>
      <Logistic>
        <xsl:apply-templates mode="buildElements"
          select="ddb:Form/ddb:Identifier | ddb:Form/ddb:SentDateTime | ddb:Form/ddb:TypeCode | ddb:Form/ddb:VersionCode | ddb:Form/ddb:StatisticalCode"
        />
      </Logistic>
      <Roles>
        <Receiver>
          <xsl:apply-templates mode="buildElements" select="ddb:Form/ddb:Data/ddb:Receiver/*"/>
        </Receiver>
        <xsl:if test="ddb:Form/ddb:Data/ddb:CCReceiver">
          <CCReceiver>
            <xsl:apply-templates mode="buildElements" select="ddb:Form/ddb:Data/ddb:CCReceiver/*"/>
          </CCReceiver>
        </xsl:if>
        <Person>
          <xsl:apply-templates mode="buildElements" select="ddb:Form/ddb:Data/ddb:Person/*"/>
        </Person>
        <Sender>
          <xsl:apply-templates mode="buildElements" select="ddb:Form/ddb:Data/ddb:Sender/*"/>
        </Sender>
      </Roles>
      <Contents>
        <xsl:apply-templates select="./ddb:Form/ddb:Data/ddb:UserFields/ddb:FieldGroup/*"/>
      </Contents>
    </TheDynamicLetter>
  </xsl:template>


  <xsl:template mode="buildElements" match="*">
    <xsl:choose>
      <xsl:when test="count(child::*)">
        <xsl:if test="normalize-space(.//*/text())">
        <xsl:element name="{local-name()}">
          <xsl:apply-templates mode="buildElements" select="*"/>
        </xsl:element>
        </xsl:if>
      </xsl:when>
      <xsl:when test="text()">
        <xsl:element name="{local-name()}">
          <xsl:value-of select="."/>
        </xsl:element>
      </xsl:when>
      <xsl:otherwise>
      </xsl:otherwise>
    </xsl:choose>
  </xsl:template>


  <xsl:template match="ddb:FieldX" name="buildInputRef">
    <xsl:param name="inputElements" select="./ddb:*[local-name()!='TableEdit'] | ./ddb:TableEdit/ddb:RowX/ddb:*"/>
    <xsl:variable name="ns" select="concat($namespaceStart,@dataowner)"/>
    <xsl:for-each select="$inputElements">
    <xsl:if test="string-length(normalize-space(text())) or count(child::*)">
      <xsl:element name="{@dataowner}:{@name}" namespace="{concat($namespaceStart,@dataowner)}">
        <xsl:copy-of select="@file_ext"/>
        <xsl:choose>
          <xsl:when test="local-name() = 'CheckBoxes' or local-name() = 'RadioButtons'">
             <xsl:call-template name="buildInputRef">
               <xsl:with-param name="inputElements" select="./ddb:*[text() != '0']"/>
             </xsl:call-template>
          </xsl:when>
          <xsl:when test="local-name() = 'MultilineEdit'">
            <xsl:copy-of select="@max_len"/>
            <xsl:apply-templates mode="multiline" select="."/>
          </xsl:when>
          <xsl:otherwise>
            <xsl:value-of select="text()"/>
          </xsl:otherwise>
        </xsl:choose>
      </xsl:element>
    </xsl:if>
    </xsl:for-each>
  </xsl:template>
  

  <!-- Kopier data indholdet, med formatering (mixed content) -->
  <xsl:template mode="multiline" match="ddb:b | ddb:br">
    <xsl:element name="{local-name()}" namespace="http://www.medcom.dk/ddb/dataowner/common">
      <xsl:apply-templates mode="multiline" select="* | text()"/>
    </xsl:element>
  </xsl:template>
  
  <xsl:template mode="multiline" match="text()">
    <xsl:value-of select="."/>
  </xsl:template>

</xsl:stylesheet>
