<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:m="http://rep.oio.dk/sundcom.dk/medcom.dk/xml/schemas/2005/08/07/" xmlns:m2="http://rep.oio.dk/sundcom.dk/medcom.dk/xml/schemas/2006/07/01/" xmlns:gepj="http://medinfo.dk/epj/proj/gepka/20030701/xml/schema" xmlns:cpr="http://rep.oio.dk/cpr.dk/xml/schemas/core/2002/06/28/" xmlns:dkcc="http://rep.oio.dk/ebxml/xml/schemas/dkcc/2003/02/13/" xmlns:xs="http://www.w3.org/2001/XMLSchema">
	<xsl:output media-type="text/html"/>
	<xsl:variable name="compoundbgcolor" select="'#eeeeee'"/>
	<xsl:variable name="highlightbgcolor" select="'#ffcccc'"/>
	<xsl:variable name="headerbgcolor" select="'#001973'"/>
	<xsl:variable name="headerfontcolor" select="'#ffffff'"/>
	<xsl:variable name="footerbgcolor" select="'#001973'"/>
	<xsl:variable name="footerfontcolor" select="'#ffffff'"/>
	<xsl:variable name="evenrowbgcolor" select="'#eeeeee'"/>
	<xsl:variable name="oddrowbgcolor" select="'#dddddd'"/>
	<xsl:variable name="evenrowhighlightbgcolor" select="'#ffcccc'"/>
	<xsl:variable name="oddrowhighlightbgcolor" select="'#ffbbbb'"/>
	<xsl:variable name="valuetolowbgcolor" select="'aaaaff'"/>
	<xsl:variable name="valuetohighbgcolor" select="'#ffaaaa'"/>
	<xsl:variable name="valueabnormbgcolor" select="'#ffffaa'"/>
	<xsl:variable name="table2bordercolor" select="'#ee0000'"/>
	<xsl:variable name="namebgcolor" select="'#dddddd'"/>
	<xsl:variable name="namefontcolor" select="'#0000ff'"/>
	<!-- 
		TEMPLATE TIL AT FORMATERE DATETIMETYPE 
	-->
	<xsl:template name="FormatDateTime">
		<xsl:param name="DateTime" select="."/>
		<xsl:variable name="date" select="$DateTime/*[local-name(.) = 'Date']"/>
		<xsl:variable name="time" select="$DateTime/*[local-name(.) = 'Time']"/>
		<xsl:value-of select="concat('d.',substring($date,9,2),'-',substring($date,6,2),'-',substring($date,1,4),' kl.',$time)"/>
	</xsl:template>

	<!--
		ROD ELEMENTET VISES P FLGENDENDE MDE
	-->
	
	<xsl:template match="/">
		<html>
			<head>
				<style type="text/css" media="screen">
					#navlist
					{
					padding: 3px 0;
					margin-left: 0;
					margin-top: 1px;
					margin-bottom: 0px;
					border-bottom: 1px solid #778;
					font: bold 12px Verdana, sans-serif;
					}
					
					#navlist li
					{
					list-style: none;
					margin: 0;
					display: inline;
					}
					
					#navlist li a
					{
					padding: 3px 0.5em;
					margin-left: 3px;
					border: 1px solid #778;
					border-bottom: none;
					background: #DDE;
					text-decoration: none;
					}
					
					#navlist li a:link { color: #448; }
					#navlist li a:visited { color: #667; }
					
					#navlist li a:hover
					{
					color: #000;
					background: #AAE;
					border-color: #227;
					}
					
					#navlist li a#current
					{
					background: white;
					border-bottom: 1px solid white;
					}
					
					div.hidden {
					display: none;
					}
					
					div.visible{
					display: block;
					border: 1px solid black;
					border-top: none;margin: 0px;
					}
					
					table.culturefindings{
					border-collapse: collapse;
					margin-left: 1px;
					}
					
					table.culturefindings tr td{
					border: 2px solid white;
					padding: 3px 7px 3px 7px;
					
					}
					
				</style>
			</head>
			<body bgcolor="#F3F7F8">
				<table border="1" bordercolor="#000000" cellspacing="0" cellpadding="0" bgcolor="#000000" width="100%">
					<xsl:apply-templates/>
				</table>
			</body>
		</html>
	</xsl:template>

	<!-- 
		TEMPLATE DER VISER EN GENEREL HEADER I ALLE MEDDELELSERNE 
	-->
	<xsl:template name="ShowMessageHeader">
		<xsl:param name="MessageName" select="'Ukendt meddelelse'"/>
		<xsl:param name="Message" select="."/>
		<xsl:param name="FontColor" select="$headerfontcolor"/>
		<xsl:param name="bgcolor" select="$headerbgcolor"/>
		<td width="100%">
			<xsl:attribute name="bgcolor"><xsl:value-of select="$bgcolor"/></xsl:attribute>
			<table width="100%">
				<tbody>
					<tr>
						<td>
							<h2>
								<font>
									<xsl:attribute name="color"><xsl:value-of select="$FontColor"/></xsl:attribute>
									<xsl:value-of select="$MessageName"/>
								</font>
							</h2>
						</td>
						<td align="right" valign="baseline" nowrap="true">
							<font>
								<xsl:attribute name="color"><xsl:value-of select="$FontColor"/></xsl:attribute>
								<b>Sendt:</b>
								<xsl:for-each select="$Message/../*[local-name(.)='Envelope']/*[local-name(.)='Sent']">
									<xsl:call-template name="FormatDateTime"/>
								</xsl:for-each>
							</font>
						</td>
					</tr>
				</tbody>
			</table>
		</td>
	</xsl:template>
	<!-- 
		TEMPLATE TIL AT VISE FELTERNE I EN SUNDHEDSFAGLIG INVOLVERET (SENDER,RECEIVER,CCRECEIVER,ANSWERCCRECEIVER, MF.) 
	-->
	<xsl:template name="ShowParticipant">
		<xsl:param name="Participant" select="."/>
		<xsl:param name="FontColor" select="$footerfontcolor"/>
		<td valign="top">
			<font>
				<xsl:attribute name="color"><xsl:value-of select="$FontColor"/></xsl:attribute>
				<xsl:value-of select="$Participant/*[local-name(.)='OrganisationName']"/>
			</font>
		</td>
		<td valign="top">
			<font>
				<xsl:attribute name="color"><xsl:value-of select="$FontColor"/></xsl:attribute>
			  <xsl:value-of select="$Participant/*[local-name(.)='DepartmentName']"/><xsl:value-of select="$Participant/*[local-name(.)='PersonTitle']"/>
			</font>
		</td>
		<td valign="top">
			<font>
				<xsl:attribute name="color"><xsl:value-of select="$FontColor"/></xsl:attribute>
			  <xsl:value-of select="$Participant/*[local-name(.)='UnitName']"/><xsl:value-of select="$Participant/*[local-name(.)='PersonName']"/>
			</font>
		</td>
		<td valign="top">
			<font>
				<xsl:attribute name="color"><xsl:value-of select="$FontColor"/></xsl:attribute>
			  <xsl:for-each select="$Participant/*[local-name(.)='TelephoneSubscriberIdentifier']">
					<xsl:value-of select="."/>
				</xsl:for-each>
			</font>
		</td>
	  <xsl:for-each select="$Participant/*[local-name(.)='Contact']">
			<td valign="top">
				<font>
					<xsl:attribute name="color"><xsl:value-of select="$FontColor"/></xsl:attribute>
					<b>Kontakt:</b>
				</font>
			</td>
			<xsl:call-template name="ShowParticipant">
				<xsl:with-param name="FontColor" select="$FontColor"/>
			</xsl:call-template>
		</xsl:for-each>
	  <xsl:for-each select="$Participant/*[local-name(.)='Physician']">
			<td valign="top">
				<font>
					<xsl:attribute name="color"><xsl:value-of select="$FontColor"/></xsl:attribute>
					<b>Kliniker:</b>
				</font>
			</td>
			<td valign="top">
				<font>
					<xsl:attribute name="color"><xsl:value-of select="$FontColor"/></xsl:attribute>
					<xsl:value-of select="."/>
				</font>
			</td>
		</xsl:for-each>
	</xsl:template>
	<xsl:template name="ShowFamilyDoctor">
		<xsl:param name="MedComLetter" select="."/>
		<xsl:param name="FontColor" select="$footerfontcolor"/>
		<xsl:param name="bgcolor" select="$footerbgcolor"/>
		<td valign="top" width="100%">
			<xsl:attribute name="bgcolor"><xsl:value-of select="$bgcolor"/></xsl:attribute>
			<table>
			  <xsl:for-each select="$MedComLetter/*[local-name(.)='FamilyDoctor']">
					<tr>
						<td valign="top">
							<font>
								<xsl:attribute name="color"><xsl:value-of select="$FontColor"/></xsl:attribute>
								<b>Egen lge:</b>
							</font>
						</td>
						<xsl:call-template name="ShowParticipant">
							<xsl:with-param name="FontColor" select="$FontColor"/>
						</xsl:call-template>
					</tr>
				</xsl:for-each>
			</table>
		</td>
	</xsl:template>
	<xsl:template name="ShowParticipants">
		<xsl:param name="MedComLetter" select="."/>
		<xsl:param name="FontColor" select="$footerfontcolor"/>
		<xsl:param name="bgcolor" select="$footerbgcolor"/>
		<td valign="top" width="100%">
			<xsl:attribute name="bgcolor"><xsl:value-of select="$bgcolor"/></xsl:attribute>
		  <xsl:variable name="sender" select="$MedComLetter/*[local-name(.)='Sender']"></xsl:variable>
			<table>
				<xsl:for-each select="$sender">
					<tr>
						<td valign="top">
							<font>
								<xsl:attribute name="color"><xsl:value-of select="$FontColor"/></xsl:attribute>
								<b>Afsender:</b>
							</font>
						</td>
						<xsl:call-template name="ShowParticipant">
							<xsl:with-param name="FontColor" select="$FontColor"/>
						</xsl:call-template>
					</tr>
				</xsl:for-each>
			  <xsl:for-each select="$sender/*[local-name(.)='Referrer']">
					<tr>
						<td valign="top">
							<font>
								<xsl:attribute name="color"><xsl:value-of select="$FontColor"/></xsl:attribute>
								<b>Henviser:</b>
							</font>
						</td>
						<xsl:call-template name="ShowParticipant">
							<xsl:with-param name="FontColor" select="$FontColor"/>
						</xsl:call-template>
					</tr>
				</xsl:for-each>

			  <xsl:for-each select="$MedComLetter/*[local-name(.)='Receiver']">
					<tr>
						<td valign="top">
							<font>
								<xsl:attribute name="color"><xsl:value-of select="$FontColor"/></xsl:attribute>
								<b>Modtager:</b>
							</font>
						</td>
						<xsl:call-template name="ShowParticipant">
							<xsl:with-param name="FontColor" select="$FontColor"/>
						</xsl:call-template>
					</tr>
				</xsl:for-each>
			  <xsl:for-each select="$MedComLetter/*[local-name(.)='CCReceiver']">
					<tr>
						<td valign="top">
							<font>
								<xsl:attribute name="color"><xsl:value-of select="$FontColor"/></xsl:attribute>
								<b>Kopimodtager:</b>
							</font>
						</td>
						<xsl:call-template name="ShowParticipant">
							<xsl:with-param name="FontColor" select="$FontColor"/>
						</xsl:call-template>
					</tr>
				</xsl:for-each>
			  <xsl:for-each select="$MedComLetter/*[local-name(.)='AnswerCCReceiver']">
					<tr>
						<td valign="top">
							<font>
								<xsl:attribute name="color"><xsl:value-of select="$FontColor"/></xsl:attribute>
								<b>Svarkopimodtager:</b>
							</font>
						</td>
						<xsl:call-template name="ShowParticipant">
							<xsl:with-param name="FontColor" select="$FontColor"/>
						</xsl:call-template>
					</tr>
				</xsl:for-each>
			  <xsl:for-each select="$MedComLetter/*[local-name(.)='Collector']">
					<tr>
						<td valign="top">
							<font>
								<xsl:attribute name="color"><xsl:value-of select="$FontColor"/></xsl:attribute>
								<b>Prvetager:</b>
							</font>
						</td>
						<xsl:call-template name="ShowParticipant">
							<xsl:with-param name="FontColor" select="$FontColor"/>
						</xsl:call-template>
					</tr>
				</xsl:for-each>
			</table>
		</td>
	</xsl:template>
	<!-- 
		TEMPLATE TIL AT VISE PATIENTEN OG PATIENTENS PRRENDE 
	-->
	<xsl:template name="ShowCarbonCopyReceiver">
		<xsl:param name="MedComLetter" select="."/>
		<xsl:param name="FontColor" select="$footerfontcolor"/>
		<xsl:param name="bgcolor" select="$footerbgcolor"/>
		<td valign="top" width="100%">
			<xsl:attribute name="bgcolor"><xsl:value-of select="$bgcolor"/></xsl:attribute>
			<table>
			  <xsl:for-each select="$MedComLetter/*[local-name(.)='RequisitionInformation']/*[local-name(.)='CarbonCopyReceiver']">
					<tr>
						<td valign="top">
							<font>
								<xsl:attribute name="color"><xsl:value-of select="$FontColor"/></xsl:attribute>
								<b>Kopimodtager:</b>
							</font>
						</td>
						<td>
							<font>
								<xsl:attribute name="color"><xsl:value-of select="$FontColor"/></xsl:attribute>
								<xsl:value-of select="."/>
							</font>
						</td>
					</tr>
				</xsl:for-each>
			</table>
		</td>
	</xsl:template>

	<!-- 
		TEMPLATE TIL AT VISE PATIENTEN OG PATIENTENS PRRENDE 
	-->
	<xsl:template name="ShowPatientAndRelatives">
		<xsl:param name="MedComLetter" select="."/>
		<xsl:param name="FontColor" select="$footerfontcolor"/>
		<xsl:param name="bgcolor" select="$footerbgcolor"/>
		<td valign="top" width="100%">
			<xsl:attribute name="bgcolor"><xsl:value-of select="$bgcolor"/></xsl:attribute>
			<table>
			  <xsl:for-each select="$MedComLetter/*[local-name(.)='Patient']">
					<tr>
						<td valign="top">
							<font>
								<xsl:attribute name="color"><xsl:value-of select="$FontColor"/></xsl:attribute>
								<b>Patient:</b>
							</font>
						</td>
						<xsl:call-template name="ShowPerson">
							<xsl:with-param name="FontColor" select="$FontColor"/>
						</xsl:call-template>
					</tr>
				</xsl:for-each>
			  <xsl:for-each select="$MedComLetter/*[local-name(.)='Relative']">
					<tr>
						<td valign="top">
							<font>
								<xsl:attribute name="color"><xsl:value-of select="$FontColor"/></xsl:attribute>
								<b>
								  <xsl:value-of select="*[local-name(.)='RelationCode']"/>
								</b>
							</font>
						</td>
						<xsl:call-template name="ShowPerson">
							<xsl:with-param name="FontColor" select="$FontColor"/>
						</xsl:call-template>
					</tr>
				</xsl:for-each>
			</table>
		</td>
	</xsl:template>
	<!-- 
		TEMPLATE TIL AT VISE EN PERSON (PATIENTEN; EN PRRENDE O:L) 
	-->
	<xsl:template name="ShowPerson">
		<xsl:param name="Person" select="."/>
		<xsl:param name="FontColor" select="$footerfontcolor"/>
		<td valign="top">
			<font>
				<xsl:attribute name="color"><xsl:value-of select="$FontColor"/></xsl:attribute>
			  <xsl:if test="count($Person/*[local-name(.)='CivilRegistrationNumber'])>0">
				  <xsl:value-of select="concat(substring($Person/*[local-name(.)='CivilRegistrationNumber'],1,6),'-',substring($Person/*[local-name(.)='CivilRegistrationNumber'],7,4))"/>
				</xsl:if>
			  <xsl:value-of select="$Person/*[local-name(.)='AlternativeIdentifier']"/>
			</font>
		</td>
		<td valign="top">
			<font>
				<xsl:attribute name="color"><xsl:value-of select="$FontColor"/></xsl:attribute>
			  <xsl:value-of select="$Person/*[local-name(.)='OccupancyText']"/>
			</font>
		</td>
		<!--<td valign="top">
			<font>
				<xsl:attribute name="color"><xsl:value-of select="$FontColor"/></xsl:attribute>
				<xsl:value-of select="$Person/m:AlternativeIdentifier"/>
			</font>
		</td>-->
		<td valign="top">
			<font>
				<xsl:attribute name="color"><xsl:value-of select="$FontColor"/></xsl:attribute>
			  <xsl:value-of select="$Person/*[local-name(.)='PersonGivenName']"/>
			</font>
		</td>
		<td valign="top">
			<font>
				<xsl:attribute name="color"><xsl:value-of select="$FontColor"/></xsl:attribute>
			  <xsl:value-of select="$Person/*[local-name(.)='PersonSurnameName']"/>
			</font>
		</td>
		<xsl:call-template name="ShowAdress">
			<xsl:with-param name="FontColor" select="$FontColor"/>
		</xsl:call-template>
		<td valign="top">
			<font>
				<xsl:attribute name="color"><xsl:value-of select="$FontColor"/></xsl:attribute>
			  <xsl:value-of select="$Person/*[local-name(.)='TelephoneSubscriberIdentifier']"/>
			</font>
		</td>
		<td valign="top">
			<font>
				<xsl:attribute name="color"><xsl:value-of select="$FontColor"/></xsl:attribute>
			  <xsl:value-of select="$Person/*[local-name(.)='EpisodeOfCareStatusCode']"/>
			</font>
		</td>
	</xsl:template>
	<!-- 
		TEMPLATE TIL AT VISE EN ADRESSE 
	-->
	<xsl:template name="ShowAdress">
		<xsl:param name="Adress" select="."/>
		<xsl:param name="FontColor" select="$footerfontcolor"/>
		<td valign="top">
			<font>
				<xsl:attribute name="color"><xsl:value-of select="$FontColor"/></xsl:attribute>
			  <xsl:value-of select="$Adress/*[local-name(.)='StreetName']"/>
			</font>
		</td>
		<td valign="top">
			<font>
				<xsl:attribute name="color"><xsl:value-of select="$FontColor"/></xsl:attribute>
			  <xsl:value-of select="$Adress/*[local-name(.)='SubUrbName']"/>
			</font>
		</td>
		<td valign="top">
			<font>
				<xsl:attribute name="color"><xsl:value-of select="$FontColor"/></xsl:attribute>
			  <xsl:value-of select="$Adress/*[local-name(.)='PostCodeIdentifier']"/>
			</font>
		</td>
		<td valign="top">
			<font>
				<xsl:attribute name="color"><xsl:value-of select="$FontColor"/></xsl:attribute>
			  <xsl:value-of select="$Adress/*[local-name(.)='DistrictName']"/>
			</font>
		</td>
		<td valign="top">
			<font>
				<xsl:attribute name="color"><xsl:value-of select="$FontColor"/></xsl:attribute>
			  <xsl:value-of select="$Adress/*[local-name(.)='MunicipalityId']"/>
			</font>
		</td>
		<td valign="top">
			<font>
				<xsl:attribute name="color"><xsl:value-of select="$FontColor"/></xsl:attribute>
			  <xsl:value-of select="$Adress/*[local-name(.)='MunicipalityName']"/>
			</font>
		</td>
	</xsl:template>
	<!-- TEMPLATE DER VISER EN GENEREL HEADER I ALLE MEDDELELSERNE -->
	<xsl:template name="ShowViewHeader">
		<xsl:param name="MessageName" select="'Ukendt meddelelse'"/>
		<xsl:param name="Message" select="."/>
		<xsl:param name="FontColor" select="$headerfontcolor"/>
		<xsl:param name="bgcolor" select="$headerbgcolor"/>
		<td width="100%">
			<xsl:attribute name="bgcolor"><xsl:value-of select="$bgcolor"/></xsl:attribute>
			<table width="100%">
				<tbody>
					<tr>
						<td>
							<h2>
								<font>
									<xsl:attribute name="color"><xsl:value-of select="$FontColor"/></xsl:attribute>
									<xsl:value-of select="$MessageName"/>
								</font>
							</h2>
						</td>
					</tr>
				</tbody>
			</table>
		</td>
	</xsl:template>

	<xsl:template name="showReferences">
		<xsl:param name="Refs" select="./*[local-name(.)='Reference']"/>
		<xsl:param name="SenderEAN"/>
		<td>
			<table>
				<tbody>
					<xsl:for-each select="$Refs">
						<tr>
							<xsl:call-template name="showReference">
								<xsl:with-param name="SenderEAN" select="$SenderEAN"/>
							</xsl:call-template>
						</tr>
					</xsl:for-each>
				</tbody>
			</table>
		</td>
	</xsl:template>
	<xsl:template name="showReference">
		<xsl:param name="Ref" select="."/>
		<xsl:param name="SenderEAN"/>
		<xsl:variable name="refdesc" select="$Ref/*[local-name(.) = 'RefDescription']"/>
		<td>
			<xsl:if test="count($Ref/*[local-name(.) = 'URL'])>0">
				<img src="img/urlicon.PNG"/>
				<a>
					<xsl:attribute name="href"><xsl:value-of select="$Ref/*[local-name(.) = 'URL']"/></xsl:attribute>
					<xsl:value-of select="$refdesc"/>
				</a>
			</xsl:if>
			<xsl:if test="count($Ref/*[local-name(.) = 'SUP'])>0">
				<img src="img/supicon.PNG"/>
				<xsl:value-of select="$refdesc"/>
			</xsl:if>
			<xsl:if test="count($Ref/*[local-name(.) = 'BIN'])>0">
				<xsl:variable name="OC" select="$Ref/*[local-name(.) = 'BIN']/*[local-name(.) = 'ObjectCode']"/>
				<xsl:variable name="OEC" select="$Ref/*[local-name(.) = 'BIN']/*[local-name(.) = 'ObjectExtensionCode']"/>
				<xsl:variable name="icon">
					<xsl:choose>
						<xsl:when test="$OEC='doc'">
							<xsl:value-of select="'img/wordicon.GIF'"/>
						</xsl:when>
						<xsl:when test="$OEC='xls'">
							<xsl:value-of select="'img/xlicon.GIF'"/>
						</xsl:when>
						<xsl:otherwise>
							<xsl:choose>
								<xsl:when test="$OC='multimedie'">
									<xsl:value-of select="'img/multiicon.GIF'"/>
								</xsl:when>
								<xsl:when test="$OC='tekstfil'">
									<xsl:value-of select="'img/texticon.GIF'"/>
								</xsl:when>
								<xsl:when test="$OC='billede'">
									<xsl:value-of select="'img/picicon.GIF'"/>
								</xsl:when>
								<xsl:otherwise>
									<xsl:value-of select="'img/binicon.PNG'"/>
								</xsl:otherwise>
							</xsl:choose>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:variable>
				<img>
					<xsl:attribute name="src"><xsl:value-of select="$icon"/></xsl:attribute>
				</img>
				<a target="newwindow">
					<xsl:attribute name="href"><xsl:value-of select="concat('Binary/',$SenderEAN,'_',$Ref/*[local-name(.) = 'BIN']/*[local-name(.) = 'ObjectIdentifier'],'_',$Ref/*[local-name(.) = 'BIN']/*[local-name(.) = 'ObjectCode'],'.',$Ref/*[local-name(.) = 'BIN']/*[local-name(.) = 'ObjectExtensionCode'])"/></xsl:attribute>
					<xsl:value-of select="$refdesc"/>
				</a>
				<xsl:value-of select="concat(' (',$Ref/*[local-name(.) = 'BIN']/*[local-name(.) = 'OriginalObjectSize'],' bytes)')"/>
			</xsl:if>
		</td>
	</xsl:template>
	<!-- 
		FORMATTED TEXT TEMPLATES 
	-->
	<xsl:template match="*[local-name(.) = 'Break']">
		<br/>
	</xsl:template>
	<xsl:template match="*[local-name(.) = 'Space']">
		<xsl:text disable-output-escaping="yes"> &#xA0;</xsl:text>
	</xsl:template>
	<xsl:template match="*[local-name(.) = 'Bold']">
		<b>
			<xsl:apply-templates/>
		</b>
	</xsl:template>
	<xsl:template match="*[local-name(.) = 'Italic']">
		<i>
			<xsl:apply-templates/>
		</i>
	</xsl:template>
	<xsl:template match="*[local-name(.) = 'Underline']">
		<u>
			<xsl:apply-templates/>
		</u>
	</xsl:template>
	<xsl:template match="*[local-name(.) = 'Center']">
		<div align="center">
			<xsl:apply-templates/>
		</div>
	</xsl:template>
	<xsl:template match="*[local-name(.) = 'Right']">
		<div align="right">
			<xsl:apply-templates/>
		</div>
	</xsl:template>
	<xsl:template match="*[local-name(.) = 'FixedFont']">
		<tt>
			<xsl:apply-templates/>
		</tt>
	</xsl:template>
	<xsl:template match="text()">
		<xsl:value-of select="."/>
	</xsl:template>

	<!-- 
    CLINICALEMAIL NY 
  -->
	<xsl:template match="m2:Emessage[m2:ClinicalEmail]">
		<xsl:for-each select="m2:ClinicalEmail">
			<td valign="top" width="100%" bgcolor="#ffffff" colspan="2">
				<table width="100%">
					<tbody>
						<tr>
							<xsl:call-template name="ShowMessageHeader">
								<xsl:with-param name="MessageName" select="'Korrespondance'"/>
							</xsl:call-template>
						</tr>
						<tr>
							<td valign="top" width="100%">
								<table>
									<tbody>
										<tr>
											<td valign="top">
												<table>
													<tbody>
														<xsl:for-each select="m2:AdditionalInformation">
															<tr>
																<td valign="top">
																	<b>Emne: </b>
																</td>
																<td valign="top">
																	<xsl:value-of select="./m2:Subject"/>
																</td>
																<td> </td>
																<td valign="top">
																	<b> Prioritet: </b>
																</td>
																<td valign="top">
																	<xsl:value-of select="m2:Priority"/>
																</td>
															</tr>
														</xsl:for-each>
													</tbody>
												</table>
											</td>
										</tr>
										<tr>
											<td valign="top">
												<b> Brevtekst </b>
											</td>
										</tr>
										<tr>
											<td valign="top">
												<table>
													<tbody>
														<xsl:for-each select="m2:ClinicalInformation">
															<tr>
																<td valign="top">
																	<xsl:for-each select="m2:Text01">
																		<xsl:apply-templates/>
																	</xsl:for-each>
																</td>
															</tr>
														</xsl:for-each>
													</tbody>
												</table>
											</td>
										</tr>
									</tbody>
								</table>
							</td>
						</tr>
						<tr>
							<xsl:call-template name="showReferences">
								<xsl:with-param name="SenderEAN" select="m2:Sender/m2:EANIdentifier"/>
							</xsl:call-template>
						</tr>
						<tr>
							<xsl:call-template name="ShowPatientAndRelatives"/>
						</tr>
						<tr>
							<xsl:call-template name="ShowParticipants"/>
						</tr>
					</tbody>
				</table>
			</td>
		</xsl:for-each>
	</xsl:template>
	
	<!-- 	CLINICALEMAIL -->
	<xsl:template match="m:Emessage[m:ClinicalEmail]">
		<xsl:for-each select="m:ClinicalEmail">
			<td valign="top" width="100%" bgcolor="#ffffff" colspan="2">
				<table width="100%">
					<tbody>
						<tr>
							<xsl:call-template name="ShowMessageHeader">
								<xsl:with-param name="MessageName" select="'Korrespondance'"/>
							</xsl:call-template>
						</tr>
						<tr>
							<td valign="top" width="100%">
								<table>
									<tbody>
										<tr>
											<td valign="top">
												<b>
													Brevtekst
												</b>
											</td>
										</tr>
										<tr>
											<td valign="top">
												<table>
													<tbody>
														<xsl:for-each select="m:ClinicalInformation">
															<tr>
																<td valign="top">
																	<xsl:for-each select="m:Text01">
																		<xsl:apply-templates/>
																	</xsl:for-each>
																</td>
															</tr>
														</xsl:for-each>
													</tbody>
												</table>
											</td>
										</tr>
									</tbody>
								</table>
							</td>
						</tr>
						<tr>
							<xsl:call-template name="showReferences">
								<xsl:with-param name="SenderEAN" select="m:Sender/m:EANIdentifier"/>
							</xsl:call-template>
						</tr>
						<tr>
							<xsl:call-template name="ShowPatientAndRelatives"/>
						</tr>
						<tr>
							<xsl:call-template name="ShowParticipants"/>
						</tr>
					</tbody>
				</table>
			</td>
		</xsl:for-each>
	</xsl:template>
	

</xsl:stylesheet>
